PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::FilterImpl< PropertyT, Geometry3D > Struct Template Reference

Filter which provides data in 3D Cartesian space. More...

`#include <plask/filters/filter.hpp>`

Inheritance diagram for plask::FilterImpl< PropertyT, Geometry3D >:
[legend]
Collaboration diagram for plask::FilterImpl< PropertyT, Geometry3D >:
[legend]

## Public Member Functions
| FilterImpl (shared_ptr< Geometry3D > geometry)
ReceiverFor< PropertyT, Geometry3D > & | input (GeometryObjectD< 3 > &obj, const PathHints *path=nullptr) override
ReceiverFor< PropertyT, Geometry2DCartesian > & | input (Geometry2DCartesian &innerObj, const PathHints *path=nullptr) override
ReceiverFor< PropertyT, Geometry2DCylindrical > & | input (Geometry2DCylindrical &innerObj, const PathHints *path=nullptr) override
ReceiverFor< PropertyT, Geometry3D > & | setOuter (GeometryObjectD< 3 > &outerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry3D > & | setOuter (shared_ptr< GeometryObjectD< 3 > > outerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry3D > & | setOuter (Geometry3D &outerGeom, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry3D > & | setOuter (shared_ptr< Geometry3D > outerGeom, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry3D > & | appendInner (GeometryObjectD< 3 > &innerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry3D > & | appendInner (shared_ptr< GeometryObjectD< 3 > > innerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCartesian > & | appendInner2D (Extrusion &innerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCartesian > & | appendInner2D (shared_ptr< Extrusion > innerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCartesian > & | appendInner (Geometry2DCartesian &innerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCartesian > & | appendInner (shared_ptr< Geometry2DCartesian > innerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCylindrical > & | appendInner2D (Revolution &innerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCylindrical > & | appendInner2D (shared_ptr< Revolution > innerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCylindrical > & | appendInner (Geometry2DCylindrical &innerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCylindrical > & | appendInner (shared_ptr< Geometry2DCylindrical > innerObj, const PathHints *path=nullptr)

## Detailed Description

template<typename PropertyT>
struct plask::FilterImpl< PropertyT, Geometry3D >

Filter which provides data in 3D Cartesian space.

It can have one or more inner (2D or 3D) inputs and one outer (3D) input or default value (which is used in all points where inner inputs don't provide data).

Template Parameters

  PropertyT | property which has type FIELD_PROPERTY

Definition at line 487 of file filter.hpp.

## Constructor & Destructor Documentation

## ◆ FilterImpl()

template<typename PropertyT >

plask::FilterImpl< PropertyT, Geometry3D >::FilterImpl | ( | shared_ptr< Geometry3D > | geometry | ) |
| inline

Definition at line 489 of file filter.hpp.

## Member Function Documentation

## ◆ appendInner() [1/6]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCartesian > & plask::FilterImpl< PropertyT, Geometry3D >::appendInner | ( | Geometry2DCartesian & | innerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 548 of file filter.hpp.

## ◆ appendInner() [2/6]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCylindrical > & plask::FilterImpl< PropertyT, Geometry3D >::appendInner | ( | Geometry2DCylindrical & | innerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 566 of file filter.hpp.

## ◆ appendInner() [3/6]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry3D > & plask::FilterImpl< PropertyT, Geometry3D >::appendInner | ( | GeometryObjectD< 3 > & | innerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 528 of file filter.hpp.

## ◆ appendInner() [4/6]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCartesian > & plask::FilterImpl< PropertyT, Geometry3D >::appendInner | ( | shared_ptr< Geometry2DCartesian > | innerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 552 of file filter.hpp.

## ◆ appendInner() [5/6]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCylindrical > & plask::FilterImpl< PropertyT, Geometry3D >::appendInner | ( | shared_ptr< Geometry2DCylindrical > | innerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 570 of file filter.hpp.

## ◆ appendInner() [6/6]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry3D > & plask::FilterImpl< PropertyT, Geometry3D >::appendInner | ( | shared_ptr< GeometryObjectD< 3 > > | innerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 534 of file filter.hpp.

## ◆ appendInner2D() [1/4]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCartesian > & plask::FilterImpl< PropertyT, Geometry3D >::appendInner2D | ( | Extrusion & | innerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 538 of file filter.hpp.

## ◆ appendInner2D() [2/4]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCylindrical > & plask::FilterImpl< PropertyT, Geometry3D >::appendInner2D | ( | Revolution & | innerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 556 of file filter.hpp.

## ◆ appendInner2D() [3/4]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCartesian > & plask::FilterImpl< PropertyT, Geometry3D >::appendInner2D | ( | shared_ptr< Extrusion > | innerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 544 of file filter.hpp.

## ◆ appendInner2D() [4/4]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCylindrical > & plask::FilterImpl< PropertyT, Geometry3D >::appendInner2D | ( | shared_ptr< Revolution > | innerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 562 of file filter.hpp.

## ◆ input() [1/3]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCartesian > & plask::FilterImpl< PropertyT, Geometry3D >::input | ( | Geometry2DCartesian & | innerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline override

Definition at line 502 of file filter.hpp.

## ◆ input() [2/3]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCylindrical > & plask::FilterImpl< PropertyT, Geometry3D >::input | ( | Geometry2DCylindrical & | innerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline override

Definition at line 506 of file filter.hpp.

## ◆ input() [3/3]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry3D > & plask::FilterImpl< PropertyT, Geometry3D >::input | ( | GeometryObjectD< 3 > & | obj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline override

Definition at line 495 of file filter.hpp.

## ◆ setOuter() [1/4]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry3D > & plask::FilterImpl< PropertyT, Geometry3D >::setOuter | ( | Geometry3D & | outerGeom,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 520 of file filter.hpp.

## ◆ setOuter() [2/4]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry3D > & plask::FilterImpl< PropertyT, Geometry3D >::setOuter | ( | GeometryObjectD< 3 > & | outerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 510 of file filter.hpp.

## ◆ setOuter() [3/4]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry3D > & plask::FilterImpl< PropertyT, Geometry3D >::setOuter | ( | shared_ptr< Geometry3D > | outerGeom,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 524 of file filter.hpp.

## ◆ setOuter() [4/4]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry3D > & plask::FilterImpl< PropertyT, Geometry3D >::setOuter | ( | shared_ptr< GeometryObjectD< 3 > > | outerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 516 of file filter.hpp.

The documentation for this struct was generated from the following file:

- plask/filters/filter.hpp